Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class AdviceBinding

    java.lang.Object
      org.jboss.aop.advice.AdviceBinding

public class AdviceBinding
extends Object

Comment

Version:
  $Revision: 1.18 $
Author:
  Bill Burke

Field Summary
`protected Collection` | `advisors`
`protected ASTCFlowExpression` | `cflow`
`protected String` | `cflowString`
`protected InterceptorFactory[]` | `interceptorFactories`
`protected String` | `name`
`protected Pointcut` | `pointcut`

Constructor Summary
`AdviceBinding()`
`AdviceBinding(String name, Pointcut p, ASTCFlowExpression cflow, String cflowString, InterceptorFactory[] factories)`
`AdviceBinding(String pointcutExpression, String cflow)` This constructor is used for creation of AdviceBinding programmatically
`AdviceBinding(String name, String pointcutExpression, String cflow)` This constructor is used for creation of AdviceBinding programmatically

Method Summary
`void` | `addAdvisor(Advisor advisor)`
`void` | `addInterceptor(Class clazz)` Add an interceptor to chain.
`void` | `addInterceptorFactory(InterceptorFactory factory)`
`void` | `clearAdvisors()`
`boolean` | `equals(Object obj)`
`ArrayList` | `getAdvisors()`
`ASTCFlowExpression` | `getCFlow()`
`String` | `getCFlowString()`
`InterceptorFactory[]` | `getInterceptorFactories()`
`String` | `getName()`
`Pointcut` | `getPointcut()`
`boolean` | `hasAdvisors()`
`int` | `hashCode()`
`void` | `setCFlowExpression(String cflow)`
`void` | `setName(String name)`
`void` | `setPointcutExpression(String pointcutExpression)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### pointcut

    protected Pointcut pointcut

### cflow

    protected ASTCFlowExpression cflow

### cflowString

    protected String cflowString

### advisors

    protected Collection advisors

### interceptorFactories

    protected InterceptorFactory[] interceptorFactories

Constructor Detail

### AdviceBinding

    public AdviceBinding()

### AdviceBinding

    public AdviceBinding(String name,
                         Pointcut p,
                         ASTCFlowExpression cflow,
                         String cflowString,
                         InterceptorFactory[] factories)
                  throws ParseException

### AdviceBinding

    public AdviceBinding(String pointcutExpression,
                         String cflow)
                  throws ParseException

  This constructor is used for creation of AdviceBinding programmatically

Parameters:
  `pointcutExpression` -
  `cflow` -
Throws:
  `ParseException`

### AdviceBinding

    public AdviceBinding(String name,
                         String pointcutExpression,
                         String cflow)
                  throws ParseException

  This constructor is used for creation of AdviceBinding programmatically

Parameters:
  `pointcutExpression` -
  `cflow` -
Throws:
  `ParseException`

Method Detail

### setCFlowExpression

    public void setCFlowExpression(String cflow)
                            throws ParseException

  Throws:
    `ParseException`

### setPointcutExpression

    public void setPointcutExpression(String pointcutExpression)
                               throws ParseException

  Throws:
    `ParseException`

### addInterceptorFactory

    public void addInterceptorFactory(InterceptorFactory factory)

### addInterceptor

    public void addInterceptor(Class clazz)

  Add an interceptor to chain. This is an actual class that implements Interceptor. A GenericInterceptorFactory will be created to wrap the class.

  Parameters:
    `clazz` -

### getName

    public String getName()

### getInterceptorFactories

    public InterceptorFactory[] getInterceptorFactories()

### setName

    public void setName(String name)

### addAdvisor

    public void addAdvisor(Advisor advisor)

### hasAdvisors

    public boolean hasAdvisors()

### getAdvisors

    public ArrayList getAdvisors()

### clearAdvisors

    public void clearAdvisors()

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getPointcut

    public Pointcut getPointcut()

### getCFlow

    public ASTCFlowExpression getCFlow()

### getCFlowString

    public String getCFlowString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.